import { XMLElem, type IToXML } from "@/util/XmlElem";

export class UAModel implements IToXML{
    constructor(public modelUri: string,
                public publicationDate: string,
                public version: string,
                public xmlSchemaUri: string)
    {

    }

    toXML(): XMLElem {
        return new XMLElem('Model')
                .attr('ModelUri', this.modelUri)
                .attr('XmlSchemaUri', this.xmlSchemaUri)
                .attr('Version', this.version)
                .attr('PublicationDate', this.publicationDate)
    }

    static fromXML(xmlObject: any): UAModel{
        return new UAModel(xmlObject['@_ModelUri'], xmlObject['@_PublicationDate'], xmlObject['@_Version'], xmlObject['@_XmlSchemaUri']);
    }
}